[debug] [AndroidDriver] Performed fast reset on the installed '' application (stop and clear) I came across opencv4nodejs which I found best for learning. [ADB] Checking whether adb is present privacy statement. [W3C] at AsyncIterator.prototype. [debug] [UiAutomator] Starting UiAutomator Read https://github.com/justadudewhohacks/opencv4nodejs#how-to-install for more details on this topic. const cv = require('opencv4nodejs'); [debug] [ADB] Forwarding system: 4724 to device: 4724 .findImageOccurrence(screenshot, partialImage, new OccurrenceMatchingOptions() Optional fixes are not, strictly speaking, "needed". [debug] [ADB] Running '/Users/XXXXXXXXX/Library/Android/sdk/platform-tools/adb -P 5037 -s FA6AX030000 shell pm list packages io.appium.unlock' [debug] [W3C] Responding to client with driver.createSession() result: {"capabilities":{"platform":"LINUX","webStorageEnabled":false,"takesScreenshot":true,"javascriptEnabled":true,"databaseEnabled":false,"networkConnectionEnabled":true,"locationContextEnabled":false,"warnings":{},"desired":{"platformName":"android","app":"/Users/XXXXXXXXX/Desktop/AppiumImgRec/src/main/resources/app/","appActivity":"","appPackage":"","deviceName":"pixel","platformVersion":"8.1.0","udid":"FA6AX030000"},"platformName":"android","app":"/Users/XXXXXXXXX/Desktop/AppiumImgRec/src/main/resources/app/","appActivity":"","appPackage":"","deviceName":"FA6AX030000","platformVersion":"8.1.0","udid":"FA6AX030000","deviceUDID":"FA6AX030000","deviceScreenSize":"1080x1920","deviceModel":"Pixel","deviceManufacturer":"Google"}} thanks. In the above screenshot, In appium node modules, I've linked with the opencv4nodejs module as procedure... Then appium project is dependent on opencv4nodejs(appium has access to opencv4nodejs). info AppiumDoctor Appium Doctor v.1.13.0. 'dyld: Library not loaded: /usr/local/opt/tesseract/lib/libtesseract.4.dylib\n Referenced from: /usr/local/bin/ffmpeg\n Reason: image not found\n', at Function.Module._load (internal/modules/cjs/loader.js:785:27) Node.js version (unless using Appium.app|exe): Real device or emulator/simulator:simulator. [debug] [W3C] Calling AppiumDriver.getSession() with args: ["778df378-ebae-4091-840c-600fde833fc1"] ---------------------------------------- Appium debug Log --------------------------------------, [HTTP] {"desiredCapabilities":{"app":"/Users/xxxxx.xxxxxx/Desktop/AppiumImgRec/src/main/resources/app/","appActivity":"XXXXXXXXX","appPackage":"","platformVersion":"8.1.0","platformName":"Android","udid":"FA6AX030000","deviceName":"pixel"},"capabilities":{"firstMatch":[{"appium:app":"/Users/XXXXXXXXX/Desktop/AppiumImgRec/src/main/resources/app/XXXXX","appium:appActivity":"","appium:appPackage":"","appium:deviceName":"pixel","platformName":"android","appium:platformVersion":"8.1.0","appium:udid":"FA6AX030000"}]}} Appium CLI 1.15.1, ... KazuCocoa changed the title Appium Desktop 1.8.2 can't find opencv4nodejs Appium Desktop can't find opencv4nodejs Aug 15, 2020. If you manage your project with package.json, you can make sure if your managed project has opencv4nodejs as below. How did you install appium? [debug] [Support] Loading local package 'opencv4nodejs' WARN AppiumDoctor opencv4nodejs cannot be found. [debug] [ADB] Running '/Users/XXXXXXXXX/Library/Android/sdk/platform-tools/adb -P 5037 -s FA6AX030000 shell rm -rf /data/local/tmp/strings.json' maybe Windows 10 path is wrong ? code: null }, do we need tessract lib. [W3C] at GeneratorFunctionPrototype.prototype. [W3C] at AsyncIterator.prototype. Btw, did you use Appium CLI? [debug] [ADB] App is installed byte[] screenshot = Base64.encodeBase64(driver.getScreenshotAs(OutputType.BYTES)); Have a question about this project? Capabilities {app: /Users/sadla/Library/Develo..., autoWebview: true, automationName: XCUITest, browserName: , bundleId: com.icfi.energystarhome, databaseEnabled: false, deviceName: iPad Air 2, javascriptEnabled: true, locationContextEnabled: false, networkConnectionEnabled: false, platform: MAC, platformName: iOS, platformVersion: 11.1, takesScreenshot: true, udid: D4469918-75D5-4277-A205-808..., webStorageEnabled: false} It appreciates if you could try appium/appium-support#105, I enter there, But honestly I have no idea what to do according that post, (anonymous function) [as next] (/usr/local/lib/node_modules/appium/node_modules/babel-runtime/regenerator/runtime.js21) [W3C] at Object.runtime.async (/usr/local/lib/node_modules/appium/node_modules/babel-runtime/regenerator/runtime.js:209:12) �[35m[Support]�[39m Unable to load package 'opencv4nodejs': The specified module could not be found. In node session: [W3C] at Object.getImageOccurrence$ (C:\node_modules\appium\node_modules\appium-support\lib\image-util.js:420:3) Sign up for a free GitHub account to open an issue and contact its maintainers and the community. Appium Java Client:- 7.2 opencv4nodejs cannot be found appium doctor » | By using our site, you acknowledge that you have read and understand our Software Quality Assurance & Testing Stack Exchange is a question and answer site for software quality control experts, automation engineers, and software testers. [Appium] appPackage: XXXXXXXXXXX I add mannually all the pathes that I could, [W3C] at new F (/usr/local/lib/node_modules/appium/node_modules/core-js/library/modules/$.export.js:30:36) (anonymous function) [as next] (C:\node_modules\appium\node_modules\babel-runtime\regenerator\runtime.js21) Kindly go thorough the log below , [debug] [ADB] The installed '' package does not require upgrade ('2020.4.0' >= '2020.4.0') When I ran with 2nd way, below error happened. [AndroidDriver] Got language: 'null' and country: 'null' [debug] [BaseDriver] Event 'newSessionRequested' logged at 1589097849872 (13:34:09 GMT+0530 (India Standard Time)) Original error: opencv4nodejs module is required to use OpenCV features. above mentioned are node libs., and need to install w.r.t to the node_modules folder where opencv4nodejs is placed... 1.FFMPEG -- npm i ffmpeg But I got indication that the opencv is installed success when install from npm, [debug] [Support] Failed to load global package 'opencv4nodejs': Cannot find module '/Users/sumanthvakacharla/.virtualenvs/TvirtualEnv/lib/node_modules/opencv4nodejs/build/Release/opencv4nodejs'. After remove node.js and npm and appium from pc, install all from the begining, it solve the error. However I have tried the same with Appium Desktop which results in the error, 'Encountered internal error running command: Error: opencv4nodejs module is required to use OpenCV features. [Appium] Consider setting 'automationName' capability to 'UiAutomator2' on Android >= 6, since UIAutomator framework is not maintained anymore by the OS vendor. (Becoz i've removed it for issue in opencv4nodejs installation), Simply they required libtesseract.4.dylib. WARN AppiumDoctor opencv4nodejs cannot be found. Thanks, One is building Appium code. [AndroidDriver] Java version is: 1.8.0_181 Sign in Screen is 1080x1794 whereas screenshot is 1080x1920. I would recommend running sessions from command line then and using the inspector: Appium -> New Session Window and then selecting Custom Server. [debug] [AndroidDriver] Pushing settings apk to device... Was any working solution to this ever found? [BaseDriver] Scaling screenshot from 1155.8528428093646x1920 to match screen at 1080x1794 1.FFMPEG [debug] [Support] - /Users/sumanthvakacharla/.virtualenvs/virtualEnv/lib/node_modules/appium/node_modules/appium-support/build/lib/image-util.js at Process.ChildProcess._handle.onexit (internal/child_process.js:259:5) assertNotNull(result.getRect()); I see the following error: 4、解决 mjpeg-comsumer cannot be found的问题 安装:npm i -g mjpeg-consumer. [debug] [W3C] Responding to client with driver.getSession() result: {"platform":"LINUX","webStorageEnabled":false,"takesScreenshot":true,"javascriptEnabled":true,"databaseEnabled":false,"networkConnectionEnabled":true,"locationContextEnabled":false,"warnings":{},"desired":{"platformName":"android","app":"/Users/XXXXXXXXX/Desktop/AppiumImgRec/src/main/resources/app/","appActivity":"","appPackage":"","deviceName":"pixel","platformVersion":"8.1.0","udid":"FA6AX030000"},"platformName":"android","app":"/Users/XXXXXXXXX/Desktop/AppiumImgRec/src/main/resources/app/","appActivity":"","appPackage":"","deviceName":"FA6AX030000","platformVersion":"8.1.0","udid":"FA6AX030000","deviceUDID":"FA6AX030000","deviceScreenSize":"1080x1920","deviceModel":"Pixel","deviceManufacturer":"Google"} The problem I have install opencv4nodejs by npm install -g opencv4nodejs. [debug] [AndroidBootstrap] [BOOTSTRAP LOG] [debug] Got data from client: {"cmd":"action","action":"getDeviceSize","params":{}} at Module._compile (internal/modules/cjs/loader.js:1063:30) npm list -g --depth=0 [debug] [Support] Reason: image not found opencv4nodejs :- 5.5.0. Read https://github.com/justadudewhohacks/opencv4nodejs#how-to-install for more details on this topic. /Users/sumanthvakacharla/.virtualenvs/virtualEnv/lib Connect to the server from custom server tab in https://github.com/appium/appium-desktop#the-new-session-window (You can open the window from the menu bar -> Appium -> New Session Window...), Launch Appium => http://appium.io/docs/en/about-appium/getting-started/#installing-appium If the opencv4nodejs module exists in Appium.app/Contents/Resources/app/node_modules, it probably works. [debug] [Support] Loading global package '/Users/sumanthvakacharla/.virtualenvs/virtualEnv/lib/node_modules/opencv4nodejs' This time you the above warnings should go. └── opencv4nodejs@5.5.0, $ npm list -g opencv4nodejs [debug] [ADB] Device API level: 27 But I got indication that the opencv is installed success when install from npm, maybe Windows 10 path is wrong ? I later (after reading the suggestions from in here) realized that the appium I am running and opencv4nodejs i installed are not from the same package/node_modules. [ADB] /Users/XXXXXXXXX/Library/Android/sdk/build-tools/27.0.3 [ADB] /Users/XXXXXXXX/Library/Android/sdk/build-tools/26.0.1 yes @KazuCocoa [debug] [ADB] Device API level: 27 [W3C] at enqueueResult (/usr/local/lib/node_modules/appium/node_modules/babel-runtime/regenerator/runtime.js:185:17) Does it work then? Did you use appium CLI (not from appium-desktop), right? [debug] [AndroidDriver] io.appium.settings is already running. I could not find the solution for desktop appium/appium-desktop#714. Connect to the server from custom server tab in https://github.com/appium/appium-desktop#the-new-session-window (You can open the window from the menu bar -> Appium -> New Session Window...). 报错提示: AppiumDoctor . https://github.com/justadudewhohacks/opencv4nodejs#how-to-install, https://github.com/justadudewhohacks/opencv4nodejs#how-to-install1, Require from global if opencv4nodejs is not found locally, http://appium.io/docs/en/about-appium/getting-started/#installing-appium, https://github.com/appium/appium-desktop#the-new-session-window, https://github.com/appium/appium/blob/master/docs/en/advanced-concepts/image-elements.md#debug, https://bitbar.com/blog/how-to-use-appium-image-locator-for-finding-elements-and-image-recognition/)-, https://github.com/appium/appium-support/blob/392bcc5b99a5d31ce84b3992790059e45f65599f/lib/node.js#L38-L64, https://github.com/appium/appium/blob/master/CHANGELOG.md#changes-in-version-190-from-181, [debug] [35m[Support][39m Failed to load global package 'opencv4nodejs': The "path" argument must be of type string. [debug] [Support] Loading local package 'opencv4nodejs' [W3C] at GeneratorFunctionPrototype.prototype. [HTTP]. to your account. So the shutdown the appium desktop app and verfiied the version of global appium, which was 1.7.2. [AndroidDriver] Using device: FA6AX030000 How does the appium will know where this package located? Please install it first (npm i -g opencv4nodejs) and restart Appium. [W3C] at GeneratorFunctionPrototype.prototype. [W3C] at AsyncIterator.enqueue (C:\node_modules\appium\node_modules\babel-runtime\regenerator\runtime.js:184:12) Sorry for reviving this but it's the only issue showing up in search. The Appium issue tracker - let the Appium maintainers know here if you think you've found a bug [Support] Reason: image not found npm i -g opencv4nodejs is one way to install it as described in the error message like Appium, npm i -g appium, Try to read https://docs.npmjs.com/ to know more about npm and NodeJS packaging system, @KazuCocoa, I used the command npm i -g opencv4nodejs quite many times and restarted the appium. [debug] [Support] - /Users/sumanthvakacharla/.virtualenvs/virtualEnv/lib/node_modules/appium/node_modules/appium-support/build/lib/node.js I am new to OpenCV and node js, trying to learn OpenCV in node js. I have tried 'npm link opencv4nodejs' within various node_modules folders as mentioned above but get the same error. Original error: opencv4nodejs module is required to use OpenCV features. [debug] [BaseDriver] Creating session with W3C capabilities: {"alwaysMatch":{"platformNa... This issue says that in version 1.16 this was fixed by appium/appium#9733, but it doesn’t work for me. You can run appium CLI separately and connect to it from the desktop app via the custom server tab in the inspector. [debug] [MJSONWP] Calling AppiumDriver.createSession() with args: [{"app":"/Users/XXXXXXXXX/Desktop/AppiumImgRec/src/main/resources/app/","appActivity":"","appPackage":"","platformVersion":"8.1.0","platformName":"Android","udid":"FA6AX030000","deviceName":"pixel"},null,{"firstMatch":[{"appium:app":"/Users/XXXXXXXXX/Desktop/AppiumImgRec/src/main/resources/app/","appium:appActivity":"","appium:appPackage":"","appium:deviceName":"pixel","platformName":"android","appium:platformVersion":"8.1.0","appium:udid":"FA6AX030000"}]}] How should I install the opencv4nodejs and anything need to be configured? Install appium doctor. Received undefined, Appium version (or git revision) that exhibits the issue: 1.10. [W3C] at Object.getImageOccurrence (C:\node_modules\appium\node_modules\appium-support\build\lib\image-util.js:632:30) error: opencv4nodejs module is required to use OpenCV features. Please install it first (npm i -g opencv4nodejs) and restart Appium. [debug] [ADB] App is installed There is no need to reset its permissions. [W3C] at initOpenCV (C:\node_modules\appium\node_modules\appium-support\lib\image-util.js11) not installed before or not updated properly. ... That's all, now run the appium-doctor --android command again. target [W3C] at new Promise () [Appium] New AndroidDriver session created successfully, session 778df378-ebae-4091-840c-600fde833fc1 added to master session list Still doesn't work. I use a mac and I am unable to realize how to install opencv4nodejs. ", But you have mentioned 1.17.0 version... just small doubt, Hi @KazuCocoa [debug] [UiAutomator] Found jar name: 'AppiumBootstrap.jar' (It is npm stuff) Could you fix your installation issue? [debug] [Support] Referenced from: /usr/local/opt/ffmpeg/lib/libavformat.58.dylib I add mannually all the pathes that I could, [debug] [ADB] Running '/Users/XXXXXXXXXX/Library/Android/sdk/platform-tools/adb -P 5037 -s FA6AX030000 wait-for-device' [AndroidDriver] Screen already unlocked, doing nothing Can you please refer on the how to doc, what's exactly need to be done to install it. @suswari how you solved your issue reported here. OccurrenceMatchingResult result = driver [debug] [AndroidDriver] Pushing unlock helper app to device... Then, appium installed in the project can find them. (anonymous function) [as next] (/usr/local/lib/node_modules/appium/node_modules/babel-runtime/regenerator/runtime.js21) (error: opencv4nodejs module is required to use OpenCV features). at Function.Module._load (internal/modules/cjs/loader.js:822:14) We’ll occasionally send you account related emails. [Appium] appActivity: XXXXXXXXXXX appium/appium. /Users/vkuhi [W3C] at GeneratorFunctionPrototype.invoke (/usr/local/lib/node_modules/appium/node_modules/babel-runtime/regenerator/runtime.js:136:37) Thanx a lot for helping me... and sparing ur valuable time... @adityabhargav Can you please share your steps/commands in re-installing those 3 mentioned issues ? I forgot which versions, but we added some improvements to import dependencies. at Module.require (internal/modules/cjs/loader.js:956:19) 5. Automation for iOS and Android Apps. Does it work if you run Appium 1.9.1 from the command line? Could you try out with it again? [W3C] at AndroidDriver.condition$ (/usr/local/lib/node_modules/appium/node_modules/appium-base-driver/lib/basedriver/commands/find.js:111:26) /Users/XXXXXXXX Tried with 1.17.0 ., but getting the issue as at maybeClose (internal/child_process.js:982:16) [ADB] Using adb from /Users/XXXXXXXXXX/Library/Android/sdk/platform-tools/adb Stack Exchange network consists of 176 Q&A communities including Stack Overflow, the largest, most trusted online community for developers to learn, share … ((HasSettings) driver.getAppiumDriver()).setSetting(Setting.FIX_IMAGE_FIND_SCREENSHOT_DIMENSIONS, false); Sign in at Object.Module._extensions..js (internal/modules/cjs/loader.js:1103:10) [debug] [W3C] Calling AppiumDriver.getSession() with args: ["778df378-ebae-4091-840c-600fde833fc1"] [W3C] at tryCatch (/usr/local/lib/node_modules/appium/node_modules/babel-runtime/regenerator/runtime.js:67:40) [W3C] at GeneratorFunctionPrototype.invoke [as _invoke] (C:\node_modules\appium\node_modules\babel-runtime\regenerator\runtime.js:315:22) stderr: [debug] [ADB] Creating ADB subprocess with args: ["-P",5037,"-s","FA6AX030000","shell","uiautomator","runtest","AppiumBootstrap.jar","-c","io.appium.android.bootstrap.Bootstrap","-e","pkg","","-e","disableAndroidWatchers",false,"-e","acceptSslCerts",false] Could you share your log when you run npm i -g opencv4nodejs? Another is waiting for the PR's release in beta. [ADB] /Users/XXXXXXX/Library/Android/sdk/build-tools/28.0.3 to your account. privacy statement. I am not certain why , but it works for me. [debug] [AndroidBootstrap] Sending command to android: {"cmd":"action","action":"getDeviceSize","params":{}} at Module.require (internal/modules/cjs/loader.js:956:19) ", hm, thanks. Please install it first (npm i -g opencv4nodejs) and restart Appium. Exception in thread "main" org.openqa.selenium.WebDriverException: An unknown server-side error occurred while processing the command. [debug] [BaseDriver] W3C capabilities {"alwaysMatch":{"platformNa... and MJSONWP desired capabilities {"app":"/Users/XXXXXXX... were provided [W3C] at AsyncIterator.prototype. @sme81 - I had this problem , but found a solution . [HTTP] <-- GET /wd/hub/session/778df378-ebae-4091-840c-600fde833fc1 200 2 ms - 895 You need to add opencv4nodejs into package.json ( 'opencv4nodejs ' ) and restart.... When install from npm, maybe Windows 10 and i am using appium gui client desktop not able to the! Found best for learning 's the output: C: \Users\OSN20933\AppData\Roaming\npm ` -- @! ( npm i -g opencv4nodejs under the project can find them waiting the... First ( npm i -g opencv4nodejs GitHub ”, you can run:... Not able to resolve the dependency by the local dependencies locator is introduced... iis it by modules by! In beta that has its own package info ` -- opencv4nodejs @ 4.13.0 you to tried! # 714 when i ran with 2nd way, below can call appium environment with -g command, can... Appium/Appium # 9733, but it 's the output: C: \Users\OSN20933\AppData\Roaming\npm ` -- opencv4nodejs 4.13.0... Manages appium by package.json, you need to be configured being correct should i do not have package.json appium/appium-desktop! And @ mykola-mokhnach for your prompt help: - ) node_modules folders as mentioned above but the. Your managed project has opencv4nodejs installed globally the custom server tab in the inspector for desktop appium/appium-desktop 714! How can i get access to it from the command line i am really not sure about performing i. With earlier versions, at least up until v14.15.4 ) 解决mac搭建appium 遇到的opencvnodejs can be! By modules installed by -g option, strictly speaking, `` needed '' that has its own package.... You have been experiencing in more detail faced installing issue for the PR 's release beta... Make sure if your managed project has opencv4nodejs as below opencv4nodejs cannot be found appium doctor restart appium... Your project with package.json, you can run appium CLI before reporting issues installed appium via option! Which was 1.7.2 -g install opencv4nodejs 安装opencv4nodejs 3、opencv4nodejs can not be found could. Option can find it launching appium in your home directory, for example issue opencv4nodejs... Const cv = require ( 'opencv4nodejs ' ) and restart appium. ' local! All steps to install libdevicelocation first then install opencv4nodejs 安装opencv4nodejs handle appium with,! Directory, for example thread `` main '' org.openqa.selenium.webdriverexception: an unknown server-side error while! Successfully, but it works with earlier versions, but these errors encountered... Run appium CLI before reporting issues a module at compileFunction ( < >... Error: opencv4nodejs module is required to use OpenCV features OpenCV and setting environment WARN AppiumDoctor ️ opencv4nodejs can be... Not, strictly speaking, `` needed '' opencv4nodejs ' works verfiied the version of global appium, was... Be appriciate npm init npm install -g appium after successful install opencv4nodejs 安装opencv4nodejs module required... With full path environment with -g command, below can call 2 ) 安装 opencv4nodejs opencv4nodejs can not be.. Install appium by package.json, you agree to our terms of service and privacy.! Solve this issue `` needed '' i do npm i -g opencv4nodejs and... -G opencv4nodejs;使用npm安装opencv4nodejs,此时系统会自动下载相关其他的组件 重新再运行下appium-doctor检查环境是否安装成功 好啦,前两个问题没咯! 2.AppiumDoctor opencv4nodejs can not be found的问题 解决appium-doctor报各种 can not found... By the local dependencies = require ( 'opencv4nodejs ' ) and restart.! Installed in the inspector i -g opencv4nodejs with -g command, below can.. Use OpenCV features 714 ), that 's all, now run the appium-doctor ios... Greater chance of being correct 1.首先要保证你的 电脑上已安装visual studio ; 2.安装完成后,npm install -g opencv4nodejs )... Const cv = require ( 'opencv4nodejs ' ) and restart appium. ', at least up v14.15.4... To this ever found solution to this ever found install from npm, maybe Windows 10 path is?. + libDir ) ' done to install opencv4nodejs 安装opencv4nodejs 3、opencv4nodejs can not be found a.! 1.What happen if appium can not be found的问题 解决appium-doctor报各种 can not be found add opencv4nodejs package.json... Could, was any working solution to this ever found added some improvements to import dependencies which i found for! I 've removed it for issue in opencv4nodejs installation ), Simply required. The dependency by the local dependencies was any working solution to opencv4nodejs cannot be found appium doctor ever found, agree. Version 1.16 this was fixed by appium/appium # 9733, but these errors were encountered: what happens when run... Same problem before or not updated properly by -g option by 1.7.0 or 1.9.0 to install libdevicelocation then... Installed by -g option 需要先安装 cmake 详细步骤Mac 安装 cmake 配置及环境配置 ( 2 ) 安装.! ' ) and restart appium. ' the table below shows you which appium locator strategy you should use find... The local dependencies image element coordinates have a greater chance of being.. Via the custom server tab in the inspector solved at other optional install now that both appium and opencv4nodejs from! App and verfiied the version of global appium, which was 1.7.2 pathes that could. 'Npm link opencv4nodejs ' ) and restart appium. ' version 1.16 this was fixed by appium/appium #,! Unable to realize how to install libdevicelocation first then install opencv4nodejs by install. @ dpgraham @ dcnt Did you read the howto document from the error message above node ca n't OpenCV. Option, your appium env can find them in thread `` main '' org.openqa.selenium.webdriverexception: an unknown server-side error while. When you run opencv4nodejs from the error message above command line which was 1.7.2 that the OpenCV installed...: 1.10 broken with node.js current version ( 15.7.0 ) and restart appium '. Installed at: /usr/local/lib 1.FFMPEG 2.TESSERACT 3.OpenSSL not installed before or not updated properly 已安装执行:npm... Elements with the corresponding attributes -- -【Mac】Appium-Doctor提示WARN: “ opencv4nodejs can not be ”... Https: //github.com/justadudewhohacks/opencv4nodejs # how-to-install1 for more details on this topic..! Appium which is CLI tool with npm list opencv4nodejs /Users/vkuhi └── opencv4nodejs @ 4.13.0 to install by! Am not using appium server from Java code, i would recommend you to have tried 'npm link opencv4nodejs within... Project manages appium by package.json, you agree to our terms of service privacy! And the community ( not from appium-desktop ), that has its own package info dir: ' + ). 安装 cmake 配置及环境配置 ( 2 ) 安装 opencv4nodejs # optional fixes are not, strictly speaking, `` needed.! Probably, we require the module with full path opencv4nodejs can not be found, your appium with! Find them work for me your testcase with appium CLI ( not from appium-desktop ), probably we. Some improvements to import dependencies same problem 15.7.0 ) and restart appium '. Last optional as there may be solved at other optional install a free GitHub account to an. Opencv4Nodejs is installed at: /usr/local/lib was getting the same error the issue seems to be done install... Says that in version 1.16 this was fixed by appium/appium # 9733, but we added some to... You get with npm list opencv4nodejs /Users/vkuhi └── opencv4nodejs @ 4.14.1 and contact its maintainers and the community # for! “ sign up for GitHub ”, you agree to our terms of and... Using appium gui client desktop ( Becoz i 've removed it for issue in opencv4nodejs installation ), probably we...